Page MenuHomePhabricator

Cursor appears over the drop down menu for text styling in Mobile VisualEditor
Closed, ResolvedPublic8 Estimated Story Points

Description

Steps to reproduce:

  1. Type something in a page using mobile VisualEditor
  2. Now tap on the text formatting icon from the toolbar

Observe that the cursor is appearing over the menu.

Event Timeline

Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 10:08 PM
Jdforrester-WMF triaged this task as Low priority.Aug 25 2015, 7:05 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

Change 450612 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Toolbar: Emit events to let user know if toolbar popups are visible

https://gerrit.wikimedia.org/r/450612

Change 450616 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Mobile: Deactivate the surface when the toolbar is active

https://gerrit.wikimedia.org/r/450616

Change 450612 merged by jenkins-bot:
[oojs/ui@master] Toolbar: Emit events to let user know if toolbar popups are visible

https://gerrit.wikimedia.org/r/450612

Change 452725 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Deactivate the surface when the toolbar is active

https://gerrit.wikimedia.org/r/452725

Change 450616 abandoned by Esanders:
Mobile: Deactivate the surface when the toolbar is active

Reason:
upstreamed to https://gerrit.wikimedia.org/r/#/c/VisualEditor/VisualEditor/ /452725/

https://gerrit.wikimedia.org/r/450616

Change 452872 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Change 452872 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

The OOUI fix landed in MediaWiki 1.32.0-wmf.18.

Change 452725 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Deactivate the surface when the toolbar is active

https://gerrit.wikimedia.org/r/452725

Change 453292 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (aac36db2c)

https://gerrit.wikimedia.org/r/453292

Change 453292 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (aac36db2c)

https://gerrit.wikimedia.org/r/453292

Deskana closed this task as Resolved.Aug 21 2018, 9:46 AM
Deskana added a subscriber: Deskana.

Nice!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 21 2018, 9:46 AM